<?php
/**
 * @file
 * erpal_project_ui.cat.inc
 */

/**
 * Implements hook_cat_items_settings_info().
 */
function erpal_project_ui_cat_items_settings_info() {
  $export = array();

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_activities_actvity_view_projects';
  $cat_item->name = 'Erpal activities: actvity view: projects';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Activities';
  $cat_item->path = 'node/%';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_crm_activity' => 'erpal_crm_activity',
            ),
          ),
          'context' => 'node',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'activities',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal activities: actvity view: projects',
    'path' => 'node/%',
    'category' => 'Activities',
    'cat_actions' => array(
      0 => array(
        'path' => 'node/add/erpal-project',
        'path_router' => 'node/add/erpal-project',
        'path_original' => 'node/add/erpal-project',
        'path_pattern' => 'node/%/%',
        'path_query' => array(
          'field_activity_ref' => '[node:nid]',
        ),
        'path_destination' => FALSE,
        'title' => 'Create a new project',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
    ),
    'cat_tabs' => array(),
    'machine_name' => 'erpal_activities_actvity_view_projects',
    'path_original' => 'node/%node',
    'path_pattern' => 'node/%',
    'path_query' => array(),
    'path_router' => 'node/%',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -89;
  $export['erpal_activities_actvity_view_projects'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project';
  $cat_item->name = 'Erpal Project (default)';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_project)',
        ),
      ),
    ),
    'name' => 'Erpal Project (default)',
    'path' => 'node/%',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project',
    'path_original' => 'node/%erpal_project',
    'path_pattern' => 'node/%',
    'path_query' => array(),
    'path_router' => 'node/%',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -79;
  $export['erpal_project'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_aul';
  $cat_item->name = 'Erpal Project: AUL';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/aul';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: AUL',
    'path' => 'node/%/aul',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_aul',
    'path_original' => 'node/%erpal_project/aul',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/aul',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -78;
  $export['erpal_project_aul'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_calendar';
  $cat_item->name = 'Erpal Project: Calendar';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/calendar';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_project)',
        ),
      ),
    ),
    'name' => 'Erpal Project: Calendar',
    'path' => 'node/%/calendar',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_calendar',
    'path_original' => 'node/%erpal_project/calendar',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/calendar',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -62;
  $export['erpal_project_calendar'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_create';
  $cat_item->name = 'Erpal Project: Create';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/add/erpal-project';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(),
    'name' => 'Erpal Project: Create',
    'path' => 'node/add/erpal-project',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'projects/projects',
        'path_router' => 'projects/projects',
        'path_original' => 'projects/projects',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Project list',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|project_list',
      ),
      1 => array(
        'path' => 'projects/timetrackings/tmp',
        'path_router' => 'projects/timetrackings/tmp',
        'path_original' => 'projects/timetrackings/tmp',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Active timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|active_timetrackings',
      ),
      2 => array(
        'path' => 'projects/timetrackings',
        'path_router' => 'projects/timetrackings',
        'path_original' => 'projects/timetrackings',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|timetrackings',
      ),
      3 => array(
        'path' => 'projects/pricing/fixed',
        'path_router' => 'projects/pricing/fixed',
        'path_original' => 'projects/pricing/fixed',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Fixed price items',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|pricing_fixed',
      ),
      4 => array(
        'path' => 'projects/budgets',
        'path_router' => 'projects/budgets',
        'path_original' => 'projects/budgets',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Time-Budgets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|budgets',
      ),
    ),
    'machine_name' => 'erpal_project_create',
    'path_original' => 'node/add/erpal-project',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/add/erpal-project',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -77;
  $export['erpal_project_create'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_edit';
  $cat_item->name = 'Erpal Project: Edit';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/edit';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_project)',
        ),
      ),
    ),
    'name' => 'Erpal Project: Edit',
    'path' => 'node/%/edit',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_edit',
    'path_original' => 'node/%erpal_project/edit',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/edit',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -76;
  $export['erpal_project_edit'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_files';
  $cat_item->name = 'Erpal Project: Files';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/files';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => 'erpal_project',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_project)',
        ),
      ),
    ),
    'name' => 'Erpal Project: Files',
    'path' => 'node/%/files',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_files',
    'path_original' => 'node/%erpal_project/files',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/files',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -63;
  $export['erpal_project_files'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_hide_budget_tabs';
  $cat_item->name = 'Erpal project: hide budget tabs';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Projects';
  $cat_item->path = 'budget/%';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'active_trail_path' => '',
    'arguments' => array(
      1 => array(
        'argument_name' => 'budget',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:budget',
        'settings' => array(
          'identifier' => 'budget: ID',
        ),
      ),
    ),
    'name' => 'Erpal project: hide budget tabs',
    'path' => 'budget/%',
    'category' => 'Projects',
    'cat_actions' => array(),
    'cat_tabs' => array(),
    'machine_name' => 'erpal_project_hide_budget_tabs',
    'path_original' => 'budget/%budget',
    'path_pattern' => 'budget/%',
    'path_query' => array(),
    'path_router' => 'budget/%',
    'reusable' => 0,
    'cat_remove' => array(
      0 => array(
        'path' => 'budget/%/view',
        'path_router' => 'budget/%/view',
        'path_original' => 'budget/%budget/view',
        'path_pattern' => 'budget/%/%',
        'remove_settings' => array(
          'tab' => 'tab',
          'action' => 0,
        ),
      ),
      1 => array(
        'path' => 'budget/%/edit',
        'path_router' => 'budget/%/edit',
        'path_original' => 'budget/%budget/edit',
        'path_pattern' => 'budget/%/%',
        'remove_settings' => array(
          'tab' => 0,
          'action' => 0,
        ),
      ),
    ),
  );
  $cat_item->weight = 0;
  $export['erpal_project_hide_budget_tabs'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_releases';
  $cat_item->name = 'Erpal Project: Releases';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/releases';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Releases',
    'path' => 'node/%/releases',
    'category' => 'Project',
    'cat_actions' => array(
      0 => array(
        'path' => 'node/add/erpal-project-release',
        'path_router' => 'node/add/erpal-project-release',
        'path_original' => 'node/add/erpal-project-release',
        'path_pattern' => 'node/%/%',
        'path_query' => array(
          'field_project_ref' => '[node:nid]',
        ),
        'path_destination' => FALSE,
        'title' => 'Create a new release',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
    ),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/%',
        'path_router' => 'node/%',
        'path_original' => 'node/%node',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/%/tasks',
        'path_router' => 'node/%/tasks',
        'path_original' => 'node/%node/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/%/tickets',
        'path_router' => 'node/%/tickets',
        'path_original' => 'node/%node/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/%/files',
        'path_router' => 'node/%/files',
        'path_original' => 'node/%node/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/%/calendar',
        'path_router' => 'node/%/calendar',
        'path_original' => 'node/%node/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/%/timetracking',
        'path_router' => 'node/%/timetracking',
        'path_original' => 'node/%node/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/%/releases',
        'path_router' => 'node/%/releases',
        'path_original' => 'node/%node/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_releases',
    'path_original' => 'node/%node/releases',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/releases',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -55;
  $export['erpal_project_releases'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_releases_aul';
  $cat_item->name = 'Erpal Project: Releases / AUL';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/aul';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project_release' => 'erpal_project_release',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Releases / AUL',
    'path' => 'node/%/aul',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_releases_aul',
    'path_original' => 'node/%node/aul',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/aul',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -54;
  $export['erpal_project_releases_aul'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_releases_create_release';
  $cat_item->name = 'Erpal Project: Releases / Create Release';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/add/erpal-project-release?field_project_ref=%erpal_project';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => 'erpal_project',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      'field_project_ref' => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'query',
        'position' => 'field_project_ref',
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Releases / Create Release',
    'path' => 'node/add/erpal-project-release?field_project_ref=%erpal_project',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_releases_create_release',
    'path_original' => 'node/add/erpal-project-release?field_project_ref=%erpal_project',
    'path_pattern' => 'node/%/%',
    'path_query' => array(
      'field_project_ref' => '%erpal_project',
    ),
    'path_router' => 'node/add/erpal-project-release',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -51;
  $export['erpal_project_releases_create_release'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_releases_edit';
  $cat_item->name = 'Erpal Project: Releases / Edit';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/edit';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project_release' => 'erpal_project_release',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Releases / Edit',
    'path' => 'node/%/edit',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_releases_edit',
    'path_original' => 'node/%node/edit',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/edit',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -53;
  $export['erpal_project_releases_edit'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_releases_view';
  $cat_item->name = 'Erpal Project: Releases / View';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project_release' => 'erpal_project_release',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Releases / View',
    'path' => 'node/%',
    'category' => 'Project',
    'cat_actions' => array(
      0 => array(
        'path' => 'node/[node:nid]/addtasks/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:nid]/addtasks/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:nid]/addtasks/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Add tasks to this release',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
      1 => array(
        'path' => 'project/release/[node:nid]/export',
        'path_router' => 'project/release/[node:nid]/export',
        'path_original' => 'project/release/[node:nid]/export',
        'path_pattern' => 'project/%/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Create release documentation',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
    ),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_releases_view',
    'path_original' => 'node/%node',
    'path_pattern' => 'node/%',
    'path_query' => array(),
    'path_router' => 'node/%',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -52;
  $export['erpal_project_releases_view'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tasks';
  $cat_item->name = 'Erpal Project: Tasks';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/tasks';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tasks',
    'path' => 'node/%/tasks',
    'category' => 'Project',
    'cat_actions' => array(
      0 => array(
        'path' => 'node/add/erpal-task',
        'path_router' => 'node/add/erpal-task',
        'path_original' => 'node/add/erpal-task',
        'path_pattern' => 'node/%/%',
        'path_query' => array(
          'field_project_ref' => '[erpal_project:nid]',
          'field_is_ticket' => '0',
        ),
        'path_destination' => FALSE,
        'title' => 'Add a task',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
    ),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => 'active active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tasks',
    'path_original' => 'node/%erpal_project/tasks',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/tasks',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -75;
  $export['erpal_project_tasks'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tasks_add';
  $cat_item->name = 'Erpal Project: Tasks / Add';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/add/erpal-task?field_project_ref=%erpal_project&field_is_ticket=%is_ticket';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'string_equal',
          'settings' => array(
            'operator' => '=',
            'value' => '1',
            'case' => 0,
          ),
          'context' => 'is_ticket',
          'not' => TRUE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      'field_project_ref' => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'query',
        'position' => 'field_project_ref',
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (Erpal Project)',
        ),
      ),
      'field_is_ticket' => array(
        'argument_name' => 'is_ticket',
        'argument_type' => 'query',
        'position' => 'field_is_ticket',
        'argument' => 'string',
        'settings' => array(
          'identifier' => 'Is It Ticket?',
          'use_tail' => 0,
        ),
      ),
    ),
    'name' => 'Erpal Project: Tasks / Add',
    'path' => 'node/add/erpal-task?field_project_ref=%erpal_project&field_is_ticket=%is_ticket',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tasks_add',
    'path_original' => 'node/add/erpal-task?field_project_ref=%erpal_project&field_is_ticket=%is_ticket',
    'path_pattern' => 'node/%/%',
    'path_query' => array(
      'field_project_ref' => '%erpal_project',
      'field_is_ticket' => '%is_ticket',
    ),
    'path_router' => 'node/add/erpal-task',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -73;
  $export['erpal_project_tasks_add'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tasks_aul';
  $cat_item->name = 'Erpal Project: Tasks / AUL';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/aul';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => 'node',
          'not' => TRUE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tasks / AUL',
    'path' => 'node/%/aul',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|summary',
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|tasks',
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|tickets',
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|files',
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|calendar',
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|timetrackings',
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tasks_aul',
    'path_original' => 'node/%node/aul',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/aul',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -72;
  $export['erpal_project_tasks_aul'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tasks_delete';
  $cat_item->name = 'Erpal Project: Tasks / Delete';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/delete';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => 'node',
          'not' => TRUE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tasks / Delete',
    'path' => 'node/%/delete',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|summary',
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|tasks',
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|tickets',
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|files',
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|calendar',
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|timetrackings',
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tasks_delete',
    'path_original' => 'node/%node/delete',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/delete',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -71;
  $export['erpal_project_tasks_delete'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tasks_edit';
  $cat_item->name = 'Erpal Project: Tasks / Edit';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/edit';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => 'node',
          'not' => TRUE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tasks / Edit',
    'path' => 'node/%/edit',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|summary',
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|tasks',
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|tickets',
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|files',
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|calendar',
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|timetrackings',
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tasks_view|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tasks_edit',
    'path_original' => 'node/%node/edit',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/edit',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -70;
  $export['erpal_project_tasks_edit'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tasks_revision_view';
  $cat_item->name = 'Erpal Project: Tasks revision view';
  $cat_item->catch_subpaths = 1;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/revisions';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => '1',
          'not' => TRUE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_task)',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tasks revision view',
    'path' => 'node/%/revisions',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_tasks_revision_view',
    'path_original' => 'node/%node/revisions',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/revisions',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -74;
  $export['erpal_project_tasks_revision_view'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tasks_view';
  $cat_item->name = 'Erpal Project: Tasks / View';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => '1',
          'not' => TRUE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_task)',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tasks / View',
    'path' => 'node/%',
    'category' => 'Project',
    'cat_actions' => array(
      0 => array(
        'path' => 'node/add/erpal-task',
        'path_router' => 'node/add/erpal-task',
        'path_original' => 'node/add/erpal-task',
        'path_pattern' => 'node/%/%',
        'path_query' => array(
          'field_parent' => '[node:nid]',
          'field_project_ref' => '[node:field-project-ref:nid]',
        ),
        'path_destination' => FALSE,
        'title' => 'Create a subtask',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
      1 => array(
        'path' => 'node/add/erpal-timetracking',
        'path_router' => 'node/add/erpal-timetracking',
        'path_original' => 'node/add/erpal-timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(
          'field_timetracking_subject' => '[node:nid]',
        ),
        'path_destination' => FALSE,
        'title' => 'Add a timetracking',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
    ),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_tasks_view',
    'path_original' => 'node/%node',
    'path_pattern' => 'node/%',
    'path_query' => array(),
    'path_router' => 'node/%',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -74;
  $export['erpal_project_tasks_view'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_ticket_add';
  $cat_item->name = 'Erpal Project: Ticket / Add';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/add/erpal-task?field_project_ref=%erpal_project&field_is_ticket=%is_ticket';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'string_equal',
          'settings' => array(
            'operator' => '=',
            'value' => '1',
            'case' => 0,
          ),
          'context' => 'is_ticket',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      'field_project_ref' => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'query',
        'position' => 'field_project_ref',
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Erpal Project',
        ),
      ),
      'field_is_ticket' => array(
        'argument_name' => 'is_ticket',
        'argument_type' => 'query',
        'position' => 'field_is_ticket',
        'argument' => 'string',
        'settings' => array(
          'identifier' => 'Is It Tiket?',
          'use_tail' => 0,
        ),
      ),
    ),
    'name' => 'Erpal Project: Ticket / Add',
    'path' => 'node/add/erpal-task?field_project_ref=%erpal_project&field_is_ticket=%is_ticket',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_ticket_add',
    'path_original' => 'node/add/erpal-task?field_project_ref=%erpal_project&field_is_ticket=%is_ticket',
    'path_pattern' => 'node/%/%',
    'path_query' => array(
      'field_project_ref' => '%erpal_project',
      'field_is_ticket' => '%is_ticket',
    ),
    'path_router' => 'node/add/erpal-task',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -68;
  $export['erpal_project_ticket_add'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tickets';
  $cat_item->name = 'Erpal Project: Tickets';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/tickets';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_project)',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tickets',
    'path' => 'node/%/tickets',
    'category' => 'Project',
    'cat_actions' => array(
      0 => array(
        'path' => 'node/add/erpal-task',
        'path_router' => 'node/add/erpal-task',
        'path_original' => 'node/add/erpal-task',
        'path_pattern' => 'node/%/%',
        'path_query' => array(
          'field_project_ref' => '[erpal_project:nid]',
          'field_is_ticket' => '1',
        ),
        'path_destination' => FALSE,
        'title' => 'Add a ticket',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
    ),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tickets',
    'path_original' => 'node/%erpal_project/tickets',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/tickets',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -69;
  $export['erpal_project_tickets'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tickets_aul';
  $cat_item->name = 'Erpal Project: Tickets / AUL';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/aul';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tickets / AUL',
    'path' => 'node/%/aul',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|summary',
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|tasks',
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|tickets',
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|files',
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|calendar',
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|timetrackings',
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tickets_aul',
    'path_original' => 'node/%node/aul',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/aul',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -66;
  $export['erpal_project_tickets_aul'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tickets_delete';
  $cat_item->name = 'Erpal Project: Tickets / Delete';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/delete';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tickets / Delete',
    'path' => 'node/%/delete',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|summary',
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|tasks',
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|tickets',
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|files',
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|calendar',
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|timetrackings',
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tickets_delete',
    'path_original' => 'node/%node/delete',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/delete',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -64;
  $export['erpal_project_tickets_delete'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tickets_edit';
  $cat_item->name = 'Erpal Project: Tickets / Edit';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/edit';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tickets / Edit',
    'path' => 'node/%/edit',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|summary',
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|tasks',
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|tickets',
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|files',
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|calendar',
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|timetrackings',
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_tickets_view|releases',
      ),
    ),
    'machine_name' => 'erpal_project_tickets_edit',
    'path_original' => 'node/%node/edit',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/edit',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -65;
  $export['erpal_project_tickets_edit'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tickets_revision_view_clone';
  $cat_item->name = 'Erpal Project: Tickets revision view (clone)';
  $cat_item->catch_subpaths = 1;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/revisions';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_task)',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tickets revision view (clone)',
    'path' => 'node/%/revisions',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_tickets_revision_view_clone',
    'path_original' => 'node/%node/revisions',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/revisions',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -74;
  $export['erpal_project_tickets_revision_view_clone'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_tickets_view';
  $cat_item->name = 'Erpal Project: Tickets / View';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
        1 => array(
          'name' => 'entity_field_value:node:erpal_task:field_is_ticket',
          'settings' => array(
            'field_is_ticket' => array(
              'und' => array(
                0 => array(
                  'value' => 1,
                ),
              ),
            ),
            'field_is_ticket_value' => '1',
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Tickets / View',
    'path' => 'node/%',
    'category' => 'Project',
    'cat_actions' => array(
      0 => array(
        'path' => 'node/add/erpal-task',
        'path_router' => 'node/add/erpal-task',
        'path_original' => 'node/add/erpal-task',
        'path_pattern' => 'node/%/%',
        'path_query' => array(
          'field_parent' => '[node:nid]',
          'field_project_ref' => '[node:field-project-ref:nid]',
        ),
        'path_destination' => FALSE,
        'title' => 'Create a subtask',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
      1 => array(
        'path' => 'projects/project/task/[node:nid]/print',
        'path_router' => 'projects/project/task/[node:nid]/print',
        'path_original' => 'projects/project/task/[node:nid]/print',
        'path_pattern' => 'projects/%/%/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Print',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
      2 => array(
        'path' => 'node/add/erpal-timetracking',
        'path_router' => 'node/add/erpal-timetracking',
        'path_original' => 'node/add/erpal-timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(
          'field_timetracking_subject' => '[node:nid]',
        ),
        'path_destination' => FALSE,
        'title' => 'Add a timetracking',
        'css_id' => '',
        'css_class' => '',
        'active' => TRUE,
      ),
    ),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_router' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_original' => 'node/[node:field-project-ref:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_tickets_view',
    'path_original' => 'node/%node',
    'path_pattern' => 'node/%',
    'path_query' => array(),
    'path_router' => 'node/%',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -67;
  $export['erpal_project_tickets_view'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_timetrackings';
  $cat_item->name = 'Erpal Project: Timetrackings';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/timetracking';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_project' => 'erpal_project',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'erpal_project',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID (erpal_project)',
        ),
      ),
    ),
    'name' => 'Erpal Project: Timetrackings',
    'path' => 'node/%/timetracking',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[erpal_project:nid]',
        'path_router' => 'node/[erpal_project:nid]',
        'path_original' => 'node/[erpal_project:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|summary',
      ),
      1 => array(
        'path' => 'node/[erpal_project:nid]/tasks',
        'path_router' => 'node/[erpal_project:nid]/tasks',
        'path_original' => 'node/[erpal_project:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tasks',
      ),
      2 => array(
        'path' => 'node/[erpal_project:nid]/tickets',
        'path_router' => 'node/[erpal_project:nid]/tickets',
        'path_original' => 'node/[erpal_project:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|tickets',
      ),
      3 => array(
        'path' => 'node/[erpal_project:nid]/files',
        'path_router' => 'node/[erpal_project:nid]/files',
        'path_original' => 'node/[erpal_project:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|files',
      ),
      4 => array(
        'path' => 'node/[erpal_project:nid]/calendar',
        'path_router' => 'node/[erpal_project:nid]/calendar',
        'path_original' => 'node/[erpal_project:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|calendar',
      ),
      5 => array(
        'path' => 'node/[erpal_project:nid]/timetracking',
        'path_router' => 'node/[erpal_project:nid]/timetracking',
        'path_original' => 'node/[erpal_project:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => 'active active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|timetrackings',
      ),
      6 => array(
        'path' => 'node/[erpal_project:nid]/releases',
        'path_router' => 'node/[erpal_project:nid]/releases',
        'path_original' => 'node/[erpal_project:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project|releases',
      ),
    ),
    'machine_name' => 'erpal_project_timetrackings',
    'path_original' => 'node/%erpal_project/timetracking',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/timetracking',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -61;
  $export['erpal_project_timetrackings'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_timetrackings_add';
  $cat_item->name = 'Erpal Project: Timetrackings / Add';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/add/erpal-timetracking?field_timetracking_subject=%node';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => 'node',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      'field_timetracking_subject' => array(
        'argument_name' => 'node',
        'argument_type' => 'query',
        'position' => 'field_timetracking_subject',
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Timetrackings / Add',
    'path' => 'node/add/erpal-timetracking?field_timetracking_subject=%node',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:nid]/files',
        'path_router' => 'node/[node:nid]/files',
        'path_original' => 'node/[node:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:nid]/calendar',
        'path_router' => 'node/[node:nid]/calendar',
        'path_original' => 'node/[node:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:nid]/timetracking',
        'path_router' => 'node/[node:nid]/timetracking',
        'path_original' => 'node/[node:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_timetrackings_add',
    'path_original' => 'node/add/erpal-timetracking?field_timetracking_subject=%node',
    'path_pattern' => 'node/%/%',
    'path_query' => array(
      'field_timetracking_subject' => '%node',
    ),
    'path_router' => 'node/add/erpal-timetracking',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -57;
  $export['erpal_project_timetrackings_add'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_timetrackings_aul';
  $cat_item->name = 'Erpal Project: Timetrackings / AUL';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/aul';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_timetracking' => 'erpal_timetracking',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Timetrackings / AUL',
    'path' => 'node/%/aul',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_timetrackings_view_task|summary',
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_timetrackings_view_task|tasks',
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_timetrackings_view_task|tickets',
      ),
      3 => array(
        'path' => 'node/[node:nid]/files',
        'path_router' => 'node/[node:nid]/files',
        'path_original' => 'node/[node:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_timetrackings_view_task|files',
      ),
      4 => array(
        'path' => 'node/[node:nid]/calendar',
        'path_router' => 'node/[node:nid]/calendar',
        'path_original' => 'node/[node:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_timetrackings_view_task|calendar',
      ),
      5 => array(
        'path' => 'node/[node:nid]/timetracking',
        'path_router' => 'node/[node:nid]/timetracking',
        'path_original' => 'node/[node:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_timetrackings_view_task|timetrackings',
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_project_timetrackings_view_task|releases',
      ),
    ),
    'machine_name' => 'erpal_project_timetrackings_aul',
    'path_original' => 'node/%node/aul',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/aul',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -56;
  $export['erpal_project_timetrackings_aul'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_timetrackings_edit';
  $cat_item->name = 'Erpal Project: Timetrackings / Edit';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/edit';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_timetracking' => 'erpal_timetracking',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Timetrackings / Edit',
    'path' => 'node/%/edit',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-timetracking-subject:nid]/timetracking',
        'path_router' => 'node/[node:field-timetracking-subject:nid]/timetracking',
        'path_original' => 'node/[node:field-timetracking-subject:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_timetrackings_edit',
    'path_original' => 'node/%node/edit',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/edit',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -58;
  $export['erpal_project_timetrackings_edit'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_timetrackings_view';
  $cat_item->name = 'Erpal Project: Timetrackings / View';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_timetracking' => 'erpal_timetracking',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Timetrackings / View',
    'path' => 'node/%',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/files',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/files',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/calendar',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/calendar',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:field-timetracking-subject:nid]/timetracking',
        'path_router' => 'node/[node:field-timetracking-subject:nid]/timetracking',
        'path_original' => 'node/[node:field-timetracking-subject:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-timetracking-subject:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_timetrackings_view',
    'path_original' => 'node/%node',
    'path_pattern' => 'node/%',
    'path_query' => array(),
    'path_router' => 'node/%',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -60;
  $export['erpal_project_timetrackings_view'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_project_timetrackings_view_task';
  $cat_item->name = 'Erpal Project: Timetrackings / View / Task';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'node/%/timetracking';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(
      'plugins' => array(
        0 => array(
          'name' => 'node_type',
          'settings' => array(
            'type' => array(
              'erpal_task' => 'erpal_task',
            ),
          ),
          'context' => '1',
          'not' => FALSE,
        ),
      ),
      'logic' => 'and',
    ),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(
      1 => array(
        'argument_name' => 'node',
        'argument_type' => 'path',
        'position' => 1,
        'argument' => 'entity_id:node',
        'settings' => array(
          'identifier' => 'Node: ID',
        ),
      ),
    ),
    'name' => 'Erpal Project: Timetrackings / View / Task',
    'path' => 'node/%/timetracking',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'node/[node:field-project-ref:nid]',
        'path_router' => 'node/[node:field-project-ref:nid]',
        'path_original' => 'node/[node:field-project-ref:nid]',
        'path_pattern' => 'node/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Summary',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'summary',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'node/[node:field-project-ref:nid]/tasks',
        'path_router' => 'node/[node:field-project-ref:nid]/tasks',
        'path_original' => 'node/[node:field-project-ref:nid]/tasks',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'node/[node:field-project-ref:nid]/tickets',
        'path_router' => 'node/[node:field-project-ref:nid]/tickets',
        'path_original' => 'node/[node:field-project-ref:nid]/tickets',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'node/[node:nid]/files',
        'path_router' => 'node/[node:nid]/files',
        'path_original' => 'node/[node:nid]/files',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Files',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'files',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'node/[node:nid]/calendar',
        'path_router' => 'node/[node:nid]/calendar',
        'path_original' => 'node/[node:nid]/calendar',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Calendar',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'calendar',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      5 => array(
        'path' => 'node/[node:nid]/timetracking',
        'path_router' => 'node/[node:nid]/timetracking',
        'path_original' => 'node/[node:nid]/timetracking',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      6 => array(
        'path' => 'node/[node:field-project-ref:nid]/releases',
        'path_router' => 'node/[node:field-project-ref:nid]/releases',
        'path_original' => 'node/[node:field-project-ref:nid]/releases',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Releases',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'releases',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_project_timetrackings_view_task',
    'path_original' => 'node/%node/timetracking',
    'path_pattern' => 'node/%/%',
    'path_query' => array(),
    'path_router' => 'node/%/timetracking',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -59;
  $export['erpal_project_timetrackings_view_task'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_projects';
  $cat_item->name = 'Erpal Projects (default)';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'projects/projects';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'arguments' => array(),
    'name' => 'Erpal Projects (default)',
    'path' => 'projects/projects',
    'category' => 'Project',
    'cat_actions' => array(
      0 => array(
        'path' => 'node/add/erpal-project',
        'path_router' => 'node/add/erpal-project',
        'path_original' => 'node/add/erpal-project',
        'path_pattern' => 'node/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Create a new project',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
      ),
    ),
    'cat_tabs' => array(
      0 => array(
        'path' => 'projects/projects',
        'path_router' => 'projects/projects',
        'path_original' => 'projects/projects',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Project list',
        'css_id' => '',
        'css_class' => 'projects active-trail active',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'project_list',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'projects/timetrackings/tmp',
        'path_router' => 'projects/timetrackings/tmp',
        'path_original' => 'projects/timetrackings/tmp',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Active timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'active_timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'projects/timetrackings',
        'path_router' => 'projects/timetrackings',
        'path_original' => 'projects/timetrackings',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'timetrackings',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      3 => array(
        'path' => 'projects/pricing/fixed',
        'path_router' => 'projects/pricing/fixed',
        'path_original' => 'projects/pricing/fixed',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Fixed price items',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'pricing_fixed',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      4 => array(
        'path' => 'projects/budgets',
        'path_router' => 'projects/budgets',
        'path_original' => 'projects/budgets',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Time-Budgets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'budgets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_projects',
    'path_original' => 'projects/projects',
    'path_pattern' => 'projects/%',
    'path_query' => array(),
    'path_router' => 'projects/projects',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = -85;
  $export['erpal_projects'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_projects_active_timetrackings';
  $cat_item->name = 'Erpal Projects: Active timetrackings';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'projects/timetrackings/tmp';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(),
    'name' => 'Erpal Projects: Active timetrackings',
    'path' => 'projects/timetrackings/tmp',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'projects/projects',
        'path_router' => 'projects/projects',
        'path_original' => 'projects/projects',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Project list',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|project_list',
      ),
      1 => array(
        'path' => 'projects/timetrackings/tmp',
        'path_router' => 'projects/timetrackings/tmp',
        'path_original' => 'projects/timetrackings/tmp',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Active timetrackings',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|active_timetrackings',
      ),
      2 => array(
        'path' => 'projects/timetrackings',
        'path_router' => 'projects/timetrackings',
        'path_original' => 'projects/timetrackings',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|timetrackings',
      ),
      3 => array(
        'path' => 'projects/pricing/fixed',
        'path_router' => 'projects/pricing/fixed',
        'path_original' => 'projects/pricing/fixed',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Fixed price items',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|pricing_fixed',
      ),
      4 => array(
        'path' => 'projects/budgets',
        'path_router' => 'projects/budgets',
        'path_original' => 'projects/budgets',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Time-Budgets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|budgets',
      ),
    ),
    'machine_name' => 'erpal_projects_active_timetrackings',
    'path_original' => 'projects/timetrackings/tmp',
    'path_pattern' => 'projects/%/%',
    'path_query' => array(),
    'path_router' => 'projects/timetrackings/tmp',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -84;
  $export['erpal_projects_active_timetrackings'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_projects_budgets_overview';
  $cat_item->name = 'Erpal Projects: Budgets overview';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'projects/budgets';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(),
    'name' => 'Erpal Projects: Budgets overview',
    'path' => 'projects/budgets',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'projects/projects',
        'path_router' => 'projects/projects',
        'path_original' => 'projects/projects',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Project list',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|project_list',
      ),
      1 => array(
        'path' => 'projects/timetrackings/tmp',
        'path_router' => 'projects/timetrackings/tmp',
        'path_original' => 'projects/timetrackings/tmp',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Active timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|active_timetrackings',
      ),
      2 => array(
        'path' => 'projects/timetrackings',
        'path_router' => 'projects/timetrackings',
        'path_original' => 'projects/timetrackings',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|timetrackings',
      ),
      3 => array(
        'path' => 'projects/pricing/fixed',
        'path_router' => 'projects/pricing/fixed',
        'path_original' => 'projects/pricing/fixed',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Fixed price items',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|pricing_fixed',
      ),
      4 => array(
        'path' => 'projects/budgets',
        'path_router' => 'projects/budgets',
        'path_original' => 'projects/budgets',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Time-Budgets',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|budgets',
      ),
    ),
    'machine_name' => 'erpal_projects_budgets_overview',
    'path_original' => 'projects/budgets',
    'path_pattern' => 'projects/%',
    'path_query' => array(),
    'path_router' => 'projects/budgets',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -81;
  $export['erpal_projects_budgets_overview'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_projects_fixed_price_items';
  $cat_item->name = 'Erpal Projects: Fixed price items';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'projects/pricing/fixed';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(),
    'name' => 'Erpal Projects: Fixed price items',
    'path' => 'projects/pricing/fixed',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'projects/projects',
        'path_router' => 'projects/projects',
        'path_original' => 'projects/projects',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Project list',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|project_list',
      ),
      1 => array(
        'path' => 'projects/timetrackings/tmp',
        'path_router' => 'projects/timetrackings/tmp',
        'path_original' => 'projects/timetrackings/tmp',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Active timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|active_timetrackings',
      ),
      2 => array(
        'path' => 'projects/timetrackings',
        'path_router' => 'projects/timetrackings',
        'path_original' => 'projects/timetrackings',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|timetrackings',
      ),
      3 => array(
        'path' => 'projects/pricing/fixed',
        'path_router' => 'projects/pricing/fixed',
        'path_original' => 'projects/pricing/fixed',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Fixed price items',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|pricing_fixed',
      ),
      4 => array(
        'path' => 'projects/budgets',
        'path_router' => 'projects/budgets',
        'path_original' => 'projects/budgets',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Time-Budgets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|budgets',
      ),
    ),
    'machine_name' => 'erpal_projects_fixed_price_items',
    'path_original' => 'projects/pricing/fixed',
    'path_pattern' => 'projects/%/%',
    'path_query' => array(),
    'path_router' => 'projects/pricing/fixed',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -82;
  $export['erpal_projects_fixed_price_items'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_projects_timetrackings';
  $cat_item->name = 'Erpal Projects: Timetrackings';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'projects/timetrackings';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(),
    'name' => 'Erpal Projects: Timetrackings',
    'path' => 'projects/timetrackings',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'projects/projects',
        'path_router' => 'projects/projects',
        'path_original' => 'projects/projects',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Project list',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|project_list',
      ),
      1 => array(
        'path' => 'projects/timetrackings/tmp',
        'path_router' => 'projects/timetrackings/tmp',
        'path_original' => 'projects/timetrackings/tmp',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Active timetrackings',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|active_timetrackings',
      ),
      2 => array(
        'path' => 'projects/timetrackings',
        'path_router' => 'projects/timetrackings',
        'path_original' => 'projects/timetrackings',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Timetrackings',
        'css_id' => '',
        'css_class' => 'active-trail active',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|timetrackings',
      ),
      3 => array(
        'path' => 'projects/pricing/fixed',
        'path_router' => 'projects/pricing/fixed',
        'path_original' => 'projects/pricing/fixed',
        'path_pattern' => 'projects/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Fixed price items',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|pricing_fixed',
      ),
      4 => array(
        'path' => 'projects/budgets',
        'path_router' => 'projects/budgets',
        'path_original' => 'projects/budgets',
        'path_pattern' => 'projects/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Time-Budgets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_projects|budgets',
      ),
    ),
    'machine_name' => 'erpal_projects_timetrackings',
    'path_original' => 'projects/timetrackings',
    'path_pattern' => 'projects/%',
    'path_query' => array(),
    'path_router' => 'projects/timetrackings',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -83;
  $export['erpal_projects_timetrackings'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_projects_user_projects';
  $cat_item->name = 'Erpal Projects: User Projects';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'Project';
  $cat_item->path = 'user/projects';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'active_trail_path' => 'projects/projects',
    'arguments' => array(),
    'name' => 'Erpal Projects: User Projects',
    'path' => 'user/projects',
    'category' => 'Project',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'dashboard',
        'path_router' => 'dashboard',
        'path_original' => 'dashboard',
        'path_pattern' => 'dashboard',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'Home',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_home|erpal_home',
      ),
    ),
    'machine_name' => 'erpal_projects_user_projects',
    'path_original' => 'user/projects',
    'path_pattern' => 'user/%',
    'path_query' => array(),
    'path_router' => 'user/projects',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = -80;
  $export['erpal_projects_user_projects'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_user_tasks';
  $cat_item->name = 'Erpal User Tasks (default)';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'User';
  $cat_item->path = 'user/tasks';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'arguments' => array(),
    'name' => 'Erpal User Tasks (default)',
    'path' => 'user/tasks',
    'category' => 'User',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'user/tasks',
        'path_router' => 'user/tasks',
        'path_original' => 'user/tasks',
        'path_pattern' => 'user/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'My assigned tasks',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => TRUE,
        'machine_name' => 'user_tasks',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      1 => array(
        'path' => 'user/tickets',
        'path_router' => 'user/tickets',
        'path_original' => 'user/tickets',
        'path_pattern' => 'user/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'All assigned tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'user_tickets',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
      2 => array(
        'path' => 'user/tasks/all',
        'path_router' => 'user/tasks/all',
        'path_original' => 'user/tasks/all',
        'path_pattern' => 'user/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'All assigned tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => TRUE,
        'machine_name' => 'user_tasks_all',
        'reusabled' => FALSE,
        'reusabled_machine_name' => NULL,
      ),
    ),
    'machine_name' => 'erpal_user_tasks',
    'path_original' => 'user/tasks',
    'path_pattern' => 'user/%',
    'path_query' => array(),
    'path_router' => 'user/tasks',
    'reusable' => 1,
    'cat_remove' => array(),
  );
  $cat_item->weight = 3;
  $export['erpal_user_tasks'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_user_tasks_user_tasks_all';
  $cat_item->name = 'Erpal User Tasks: User Tasks all';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'User';
  $cat_item->path = 'user/tasks/all';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'arguments' => array(),
    'name' => 'Erpal User Tasks: User Tasks all',
    'path' => 'user/tasks/all',
    'category' => 'User',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'user/tasks',
        'path_router' => 'user/tasks',
        'path_original' => 'user/tasks',
        'path_pattern' => 'user/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'My assigned tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_user_tasks|user_tasks',
      ),
      1 => array(
        'path' => 'user/tickets',
        'path_router' => 'user/tickets',
        'path_original' => 'user/tickets',
        'path_pattern' => 'user/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'All assigned tickets',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_user_tasks|user_tickets',
      ),
      2 => array(
        'path' => 'user/tasks/all',
        'path_router' => 'user/tasks/all',
        'path_original' => 'user/tasks/all',
        'path_pattern' => 'user/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'All assigned tasks',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_user_tasks|user_tasks_all',
      ),
    ),
    'machine_name' => 'erpal_user_tasks_user_tasks_all',
    'path_original' => 'user/tasks/all',
    'path_pattern' => 'user/%/%',
    'path_query' => array(),
    'path_router' => 'user/tasks/all',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = 1;
  $export['erpal_user_tasks_user_tasks_all'] = $cat_item;

  $cat_item = new stdClass();
  $cat_item->api_version = 1;
  $cat_item->machine_name = 'erpal_user_tasks_user_tickets';
  $cat_item->name = 'Erpal User Tasks: User Tickets';
  $cat_item->catch_subpaths = 0;
  $cat_item->category = 'User';
  $cat_item->path = 'user/tickets';
  $cat_item->data = array(
    'api_version' => 1,
    'access' => array(),
    'arguments' => array(),
    'name' => 'Erpal User Tasks: User Tickets',
    'path' => 'user/tickets',
    'category' => 'User',
    'cat_actions' => array(),
    'cat_tabs' => array(
      0 => array(
        'path' => 'user/tasks',
        'path_router' => 'user/tasks',
        'path_original' => 'user/tasks',
        'path_pattern' => 'user/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'My assigned tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_user_tasks|user_tasks',
      ),
      1 => array(
        'path' => 'user/tickets',
        'path_router' => 'user/tickets',
        'path_original' => 'user/tickets',
        'path_pattern' => 'user/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'All assigned tickets',
        'css_id' => '',
        'css_class' => 'active-trail',
        'active' => TRUE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_user_tasks|user_tickets',
      ),
      2 => array(
        'path' => 'user/tasks/all',
        'path_router' => 'user/tasks/all',
        'path_original' => 'user/tasks/all',
        'path_pattern' => 'user/%/%',
        'path_query' => array(),
        'path_destination' => FALSE,
        'title' => 'All assigned tasks',
        'css_id' => '',
        'css_class' => '',
        'active' => FALSE,
        'reusable' => FALSE,
        'machine_name' => '',
        'reusabled' => TRUE,
        'reusabled_machine_name' => 'erpal_user_tasks|user_tasks_all',
      ),
    ),
    'machine_name' => 'erpal_user_tasks_user_tickets',
    'path_original' => 'user/tickets',
    'path_pattern' => 'user/%',
    'path_query' => array(),
    'path_router' => 'user/tickets',
    'reusable' => 0,
    'cat_remove' => array(),
  );
  $cat_item->weight = 2;
  $export['erpal_user_tasks_user_tickets'] = $cat_item;

  return $export;
}
